Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235643 - "Open with...The GIMP" doesn't open a image file.
Summary: "Open with...The GIMP" doesn't open a image file.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 00:55 UTC by sangu
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.4.0-0.rc3.1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-14 17:24:45 UTC


Attachments (Terms of Use)

Description sangu 2007-04-09 00:55:54 UTC
Description of problem:
$ cat .xsession-errors
[...]
The program 'gimp-remote-2.2' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 2229 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
(evolution:2918): e-data-server-ui-DEBUG: ep_msg_send: in main thread? 0

but $gimp-remote-2.2 image file works well

Version-Release number of selected component (if applicable):
2.10.0-3.fc7

How reproducible:
always

Steps to Reproduce:
1. "Open with..."
2.
3.
  
Actual results:


Expected results:


Additional info:
window manager is Compiz.
gimp-2.2.13-2.fc7

Comment 1 Matthias Clasen 2007-09-25 00:40:41 UTC
Moving to the correct component.

Comment 2 Nils Philippsen 2007-09-28 14:13:23 UTC
Can you reproduce this with current development versions?

Comment 3 sangu 2007-10-14 17:24:45 UTC
Fixed!
Thanks.


Note You need to log in before you can comment on or make changes to this bug.